=== debian/changelog ===
smokeqt (4:4.14.2-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * Backport to Trusty

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 14 Oct 2014 14:15:54 -0700

smokeqt (4:4.14.2-0ubuntu1~ubuntu14.10~ppa1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 06:53:04 -0700
