=== debian/control ===
--- 
+++ 
@@ -3,19 +3,31 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
-Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.6.8), cmake,
- smoke-dev-tools (>= 4:4.10), libqt4-dev, libqt4-opengl-dev, libqtwebkit-dev,
- libphonon-dev, libqimageblitz-dev, libqscintilla2-dev
-Standards-Version: 3.9.3
+Uploaders: Torsten Marek <shlomme@debian.org>,
+           Sune Vuorela <sune@debian.org>,
+           David Palacio <dpalacio@orbitalibre.org>,
+           Michael Meskes <meskes@debian.org>,
+           Maximiliano Curia <maxy@debian.org>
+Build-Depends: cmake,
+               debhelper (>= 9),
+               libphonon-dev,
+               libqimageblitz-dev,
+               libqscintilla2-dev,
+               libqt4-dev,
+               libqt4-opengl-dev,
+               libqtwebkit-dev,
+               pkg-config,
+               pkg-kde-tools (>= 0.6.8),
+               smoke-dev-tools (>= 4:4.11)
+Standards-Version: 3.9.5
 Homepage: http://projects.kde.org/projects/kde/kdebindings/smoke/smokeqt
-X-Debian-Vcs-Git: git://git.debian.org/git/pkg-kde/kde-sc/smokeqt.git
+X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/smokeqt.git
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/smokeqt
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/smokeqt
 X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/smokeqt.git;a=summary
 
 Package: libsmokeqsci3
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
 Description: QScintilla2 SMOKE library
  SMOKE libraries are part of the bindings used for Qt and KDE. This package
@@ -27,7 +39,7 @@
  This is part of the SMOKE Qt module.
 
 Package: libsmokeqt3support4-3
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
 Description: Qt3 Support SMOKE library
  SMOKE libraries are part of the bindings used for Qt and KDE. This package
@@ -39,7 +51,7 @@
  This is part of the SMOKE Qt module.
 
 Package: libsmokeqtcore4-3
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
 Description: Qt Core SMOKE library
  SMOKE libraries are part of the bindings used for Qt and KDE. This package
@@ -51,7 +63,7 @@
  This is part of the SMOKE Qt module.
 
 Package: libsmokeqtdbus4-3
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
 Description: Qt D-Bus SMOKE library
  SMOKE libraries are part of the bindings used for Qt and KDE. This package
@@ -63,7 +75,7 @@
  This is part of the SMOKE Qt module.
 
 Package: libsmokeqtdeclarative4-3
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
 Description: Qt Declarative SMOKE library
  SMOKE libraries are part of the bindings used for Qt and KDE. This package
@@ -75,7 +87,7 @@
  This is part of the SMOKE Qt module.
 
 Package: libsmokeqtgui4-3
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
 Description: Qt Gui SMOKE library
  SMOKE libraries are part of the bindings used for Qt and KDE. This package
@@ -87,7 +99,7 @@
  This is part of the SMOKE Qt module.
 
 Package: libsmokeqthelp4-3
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
 Description: Qt Help SMOKE library
  SMOKE libraries are part of the bindings used for Qt and KDE. This package
@@ -99,7 +111,7 @@
  This is part of the SMOKE Qt module.
 
 Package: libsmokeqtnetwork4-3
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
 Description: Qt Network SMOKE library
  SMOKE libraries are part of the bindings used for Qt and KDE. This package
@@ -111,7 +123,7 @@
  This is part of the SMOKE Qt module.
 
 Package: libsmokeqtopengl4-3
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
 Description: Qt OpenGL SMOKE library
  SMOKE libraries are part of the bindings used for Qt and KDE. This package
@@ -123,7 +135,7 @@
  This is part of the SMOKE Qt module.
 
 Package: libsmokeqtscript4-3
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
 Description: Qt Script SMOKE library
  SMOKE libraries are part of the bindings used for Qt and KDE. This package
@@ -135,7 +147,7 @@
  This is part of the SMOKE Qt module.
 
 Package: libsmokeqtsql4-3
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
 Description: Qt Sql SMOKE library
  SMOKE libraries are part of the bindings used for Qt and KDE. This package
@@ -147,7 +159,7 @@
  This is part of the SMOKE Qt module.
 
 Package: libsmokeqtsvg4-3
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
 Description: Qt Svg SMOKE library
  SMOKE libraries are part of the bindings used for Qt and KDE. This package
@@ -159,7 +171,7 @@
  This is part of the SMOKE Qt module.
 
 Package: libsmokeqttest4-3
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
 Description: Qt Test SMOKE library
  SMOKE libraries are part of the bindings used for Qt and KDE. This package
@@ -171,7 +183,7 @@
  This is part of the SMOKE Qt module.
 
 Package: libsmokeqtuitools4-3
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
 Description: Qt Ui Tools SMOKE library
  SMOKE libraries are part of the bindings used for Qt and KDE. This package
@@ -183,7 +195,7 @@
  This is part of the SMOKE Qt module.
 
 Package: libsmokeqtwebkit4-3
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
 Description: Qt WebKit SMOKE library
  SMOKE libraries are part of the bindings used for Qt and KDE. This package
@@ -195,7 +207,7 @@
  This is part of the SMOKE Qt module.
 
 Package: libsmokeqtxml4-3
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
 Description: Qt Xml SMOKE library
  SMOKE libraries are part of the bindings used for Qt and KDE. This package
@@ -207,7 +219,7 @@
  This is part of the SMOKE Qt module.
 
 Package: libsmokeqtxmlpatterns4-3
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
 Description: Qt XmlPatterns SMOKE library
  SMOKE libraries are part of the bindings used for Qt and KDE. This package
@@ -219,7 +231,7 @@
  This is part of the SMOKE Qt module.
 
 Package: libsmokephonon3
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
 Description: Qt Phonon SMOKE library
  SMOKE libraries are part of the bindings used for Qt and KDE. This package
@@ -231,7 +243,7 @@
  This is part of the SMOKE Qt module.
 
 Package: libsmokeqimageblitz3
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
 Description: QImageBlitz SMOKE libraries
  SMOKE libraries are part of the bindings used for Qt and KDE. This package
@@ -261,7 +273,7 @@
 
 Package: libsmokeqt4-dev
 Section: libdevel
-Depends: ${so:Depends}, ${misc:Depends}, smoke-dev-tools (>> 4:4.10)
+Depends: smoke-dev-tools (>> 4:4.10), ${misc:Depends}, ${so:Depends}
 Architecture: any
 Description: Development files for Qt SMOKE libraries
  SMOKE libraries are part of the bindings used for Qt and KDE. This package
@@ -271,16 +283,3 @@
  multiple languages such as Ruby, C# and PHP.
  .
  This is part of the SMOKE Qt module.
-
-#Package: libsmokeqwt3
-#Depends: ${shlibs:Depends}, ${misc:Depends}
-#Architecture: any
-#Description: Qwt5 SMOKE libraries
-# SMOKE libraries are part of the bindings used for Qt and KDE. This package
-# contains Qwt5 SMOKE libraries.
-# .
-# SMOKE provides infrastructure which is used for creating bindings for
-# multiple languages such as Ruby, C# and PHP.
-# .
-# This is part of the SMOKE Qt module.
-
